function [hst_header,msg]=HST_info(full_fname);

if strcmp(full_fname(1:2),'..')
  disp('Not able to parse relative paths - please specify completely')
  hst_header=[];
  return
end
[fname,fpath]=pfGetHSTFilenames(full_fname);
if isempty(fname)
  disp('BIG PROBLEM')
  return
end
filetype=pfHSTDecideFiletype(fname);
if isempty(filetype)
  disp('Does the file really exist?')
  hst_header=[];msg=[];
  return
end



if strcmp(filetype,'float32')
  pfXMLSetup;  % get sorted for reading XML files
  fname_final=fname.vol;
  builder=org.jdom.input.SAXBuilder;

  %  doc=builder.build([fpath fname.xml]);
  doc=builder.build(fname.xml);
  root=doc.getRootElement;
  reconstruction = root.getChild('reconstruction');
  listSubVolume=reconstruction.getChild('listSubVolume');

  subVolume=listSubVolume.getChild('subVolume');
  volName=subVolume.getChild('SUBVOLUME_NAME'); % name of floating point volume
  % RAW_NAME is for recad'ed 8 bit volumes
  strName=volName.getTextTrim;

  % the next element might not exist
  rawName=subVolume.getChild('RAW_NAME');
  strRawName=java.lang.String;

  if isempty(rawName)
    % 32 bit float volume
    fname_str=char(strName);
    ftype='float32';
    bytespervoxel=4;
  else
    fname_str=char(rawName.getTextTrim);
    ftype='uint8';
    bytespervoxel=1;
  end

  volSizeX=str2double(subVolume.getChild('SIZEX').getText);
  volSizeY=str2double(subVolume.getChild('SIZEY').getText);
  volSizeZ=str2double(subVolume.getChild('SIZEZ').getText);

  volEndian=char(subVolume.getChild('BYTE_ORDER').getText);
  if strcmp(volEndian,'LOWBYTEFIRST')
    fbyteorder='l';
  else
    fbyteorder='b';
  end

  volDimRec=subVolume.getChild('DIM_REC');  % what does this mean???


elseif strcmp(filetype,'uint8')
  % read the .info file here
  fname_final=fname.raw;
  fid=fopen(fname.info,'rt');
  fgetl(fid);
  tmp=fgetl(fid);
  volSizeX=sscanf(tmp,'NUM_X = %d');
  tmp=fgetl(fid);
  volSizeY=sscanf(tmp,'NUM_Y = %d');
  tmp=fgetl(fid);
  volSizeZ=sscanf(tmp,'NUM_Z = %d');
  fbyteorder='l';
  ftype=filetype;
  bytespervoxel=1;
end

hst_header.volSizeX=volSizeX;
hst_header.volSizeY=volSizeY;
hst_header.volSizeZ=volSizeZ;
hst_header.bytespervoxel=bytespervoxel;
hst_header.fpath=fpath;
hst_header.fname_final=fname_final;
hst_header.fbyteorder=fbyteorder;
hst_header.ftype=ftype;
hst_header.fname_prefix=fname.prefix;

end
